Bug 251993 - RFE: Allow debugging to be enabled on the fly
Summary: RFE: Allow debugging to be enabled on the fly
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: autofs   
(Show other bugs)
Version: 5.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Ian Kent
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 240973 425904
TreeView+ depends on / blocked
 
Reported: 2007-08-13 18:37 UTC by Jeff Moyer
Modified: 2008-05-21 14:37 UTC (History)
2 users (show)

Fixed In Version: RHBA-2008-0354
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 14:37:34 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Allow for the changing of log priority at run-time (15.82 KB, patch)
2007-09-14 15:10 UTC, Jeff Moyer
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2008:0354 normal SHIPPED_LIVE autofs bug fix and enhancement update 2008-05-20 12:52:25 UTC

Description Jeff Moyer 2007-08-13 18:37:38 UTC
+++ This bug was initially created as a clone of Bug #240973 +++

Description of problem:
Currently, in order to enable debugging for the autofs daemon, one has to
restart the daemon.  Unfotunately, when experiencing transient problems, this
often makes the problematic behaviour go away.  It would be better if the daemon
supported a mechanism to enable debugging at run-time.

-- Additional comment from jmoyer@redhat.com on 2007-08-13 14:17 EST --
Created an attachment (id=161200)
Add a daemon option to set the log priority at run-time.

Comment 1 Jeff Moyer 2007-08-13 18:38:25 UTC
Ian, that patch should work just fine for autofs 5, so long as you agree with
the approach taken.

Comment 2 Ian Kent 2007-08-14 04:03:15 UTC
(In reply to comment #1)
> Ian, that patch should work just fine for autofs 5, so long as you agree with
> the approach taken.

Yes, you've been wanting to do this for a while.
The approach is fine with me.

I can see the usefulness of not having to change the
map and send a HUP signal as even that may change the
error situation we're trying to capture debug info about.

There's a bit more to it in v5 as we have a handle_mount
thread for each mount. So we need a way to specify which
one or all. We'll also need to update the man pages and
make sure selinux is happy. 

Ian


Comment 3 Ian Kent 2007-08-14 05:22:39 UTC
After some thought I'm a bit confused (no surprises there).

How does the v4 patch deal with multiple automount processe?
Won't the first one to read the socket take the request?
In the same vein, what happens with submounts?

Ian


Comment 4 Jeff Moyer 2007-08-14 13:56:47 UTC
(In reply to comment #3)
> After some thought I'm a bit confused (no surprises there).
> 
> How does the v4 patch deal with multiple automount processe?
> Won't the first one to read the socket take the request?
> In the same vein, what happens with submounts?

Yeah, it doesn't!  I'll rework it to fix that little issue.  I guess an easier
approach might be to use some system V shared memory.



Comment 5 Jeff Moyer 2007-09-12 21:23:44 UTC
Ian, I've got an implementation of this for the v4 daemon posted in bugzilla
240973.  I can't add it to RHEL 4 until we have the functionality implemented in
v5, though.

So, go ahead and devel_ack this if you can fit it into your 5.2 schedule.

Comment 6 Ian Kent 2007-09-13 13:23:37 UTC
(In reply to comment #5)
> Ian, I've got an implementation of this for the v4 daemon posted in bugzilla
> 240973.  I can't add it to RHEL 4 until we have the functionality implemented in
> v5, though.
> 
> So, go ahead and devel_ack this if you can fit it into your 5.2 schedule.

That reminds me, I've got to sort out the current issues so
I can do that planning.

The patch will need some changes but hopefully will not be
difficult to apply.

Ian



Comment 7 Jeff Moyer 2007-09-14 15:10:31 UTC
Created attachment 195931 [details]
Allow for the changing of log priority at run-time

This is the patch I submitted for upstream inclusion.

Comment 8 RHEL Product and Program Management 2007-10-16 03:49:06 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 10 Ian Kent 2007-12-06 06:52:36 UTC
This change has been included in autofs-5.0.1-0.rc2.66 (RHEL-5)
and later.

This change can be verified by the rhts test bugzillas/bz240973
within the autofs workflow.

Comment 13 errata-xmlrpc 2008-05-21 14:37:34 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0354.html



Note You need to log in before you can comment on or make changes to this bug.